---

#! jobs/mdadm-selftests.yaml
suite: mdadm-selftests
testcase: mdadm-selftests
category: functional
need_memory: 1G
disk: 1HDD
force_reboot: 1
mdadm-selftests:
  test_prefix: 19repair-does-not-destroy
job_origin: mdadm-selftests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-hsw-d05
tbox_group: lkp-hsw-d05
job_file: "/lkp/jobs/scheduled/lkp-hsw-d05/mdadm-selftests-1HDD-19repair-does-not-destroy-debian-12-x86_64-20240206.cgz-77e619a82fc3-20240420-25190-105zyfh-0.yaml"
id: 36993a508e2d90d58d550157fca4d6b6ba7d8fe8
queuer_version: "/zday/lkp"

#! /db/releases/20240419122936/lkp-src/hosts/lkp-hsw-d05
model: Haswell
nr_node: 1
nr_cpu: 8
memory: 16G
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_ZN1H8Q9W-part*"
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2BB800G4_PHWL41710019800RGN-part1"
brand: Intel(R) Core(TM) i7-4790T CPU @ 2.70GHz

#! /db/releases/20240419122936/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20240419122936/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240419122936/lkp-src/include/disk/nr_hdd
need_kconfig:
- BLK_DEV_SD
- SCSI
- BLOCK: y
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: y
- MD: y
- BLK_DEV_MD
- MD_LINEAR
- MD_RAID0
- MD_RAID1
- MD_RAID10
- MD_RAID456
- MD_MULTIPATH
- BLK_DEV_LOOP

#! /db/releases/20240419122936/lkp-src/include/mdadm-selftests

#! /db/releases/20240419122936/lkp-src/include/queue/cyclic
commit: 77e619a82fc384ae3d1d96e1f2ea98ad14a4fdce

#! /db/releases/20240419122936/lkp-src/include/testbox/lkp-hsw-d05
netconsole_port: 6687
ucode: '0x28'
need_kconfig_hw:
- PTP_1588_CLOCK: y
- E1000E: y
- SATA_AHCI
- DRM_I915
kconfig: x86_64-rhel-8.3-func
enqueue_time: 2024-04-20 16:06:22.151677702 +08:00
_rt: "/result/mdadm-selftests/1HDD-19repair-does-not-destroy/lkp-hsw-d05/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-func/gcc-13/77e619a82fc384ae3d1d96e1f2ea98ad14a4fdce"
compiler: gcc-13
head_commit: b69f4f5bfd1238ce5b96688814d70e2c111d3252
base_commit: 0bbac3facb5d6cc0171c45c9873a2dc96bea9680
branch: linux-devel/devel-hourly-20240419-054408
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240418-160740"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/mdadm-selftests/1HDD-19repair-does-not-destroy/lkp-hsw-d05/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-func/gcc-13/77e619a82fc384ae3d1d96e1f2ea98ad14a4fdce/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-func/gcc-13/77e619a82fc384ae3d1d96e1f2ea98ad14a4fdce/vmlinuz-6.9.0-rc2-00417-g77e619a82fc3
- branch=linux-devel/devel-hourly-20240419-054408
- job=/lkp/jobs/scheduled/lkp-hsw-d05/mdadm-selftests-1HDD-19repair-does-not-destroy-debian-12-x86_64-20240206.cgz-77e619a82fc3-20240420-25190-105zyfh-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-func
- commit=77e619a82fc384ae3d1d96e1f2ea98ad14a4fdce
- nmi_watchdog=0
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-func/gcc-13/77e619a82fc384ae3d1d96e1f2ea98ad14a4fdce/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mdadm-selftests_20240412.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/mdadm-selftests-x86_64-5f41845-1_20240412.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240419122936/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-hsw-d05/mdadm-selftests-1HDD-19repair-does-not-destroy-debian-12-x86_64-20240206.cgz-77e619a82fc3-20240420-25190-105zyfh-0.cgz"
last_kernel: 4.20.0

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-func/gcc-13/77e619a82fc384ae3d1d96e1f2ea98ad14a4fdce/vmlinuz-6.9.0-rc2-00417-g77e619a82fc3"
result_root: "/result/mdadm-selftests/1HDD-19repair-does-not-destroy/lkp-hsw-d05/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-func/gcc-13/77e619a82fc384ae3d1d96e1f2ea98ad14a4fdce/0"
dequeue_time: 2024-04-20 16:40:17.819870728 +08:00
job_state: finished
loadavg: 2.11 0.72 0.26 1/196 1233
start_time: '1713602474'
end_time: '1713602530'
version: "/lkp/lkp/.src-20240418-160818:2223bf3841ec:9fa2cfa5128f"
